Consultar um fluxo pelo id
curl --request GET \
--url https://api.malga.io/v1/flows/{id} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://api.malga.io/v1/flows/{id}"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/flows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b4ced0dd-2136-4bce-a231-364e93554073",
"merchants": [
{
"merchantId": "z1babb21-6a4c-987d-89db-11d3af737ee1"
}
],
"paymentMethod": "credit",
"clientId": "f1babb21-6a4c-323d-12db-69d3af407ee1",
"parentId": "g1babb21-6a4c-987d-89db-11d3af737ee1",
"createdAt": "2023-03-22T20:45:06.020Z",
"flow": {
"version": "0.0.0",
"root": [
{
"rule": "provider",
"id": "z1babb21-6a4c-987d-89db-11d3af737ee1"
}
]
},
"restoredFrom": "df601922-e024-6394-8f12-af21ec4218b1"
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Flows
Consultar um fluxo pelo id
GET
/
v1
/
flows
/
{id}
Consultar um fluxo pelo id
Path Parameters
flow id
Response
Response de flow
identificador único do fluxo
método de pagamento a qual aquele fluxo é relacionado
identificador do cliente dono do fluxo
Show child attributes
Show child attributes
identificador do fluxo que originou o novo
identificador do fluxo do qual este foi restaurado
data e hora em que o fluxo foi criado (UTC)
dados do fluxo que será cadastrado
Was this page helpful?
⌘I